## GtkSourceTagTable GtkSourceTagTable |

## Synopsis

    #include <gtksourceview/gtksourcetagtable.h>

                        GtkSourceTagTable;
    GtkSourceTagTable*  gtk_source_tag_table_new            (void);
    void                gtk_source_tag_table_add_tags       (GtkSourceTagTable *table,
                                                             const GSList *tags);
    void                gtk_source_tag_table_remove_source_tags
                                                            (GtkSourceTagTable *table);

## Object Hierarchy

      GObject
       +----GtkTextTagTable
             +----GtkSourceTagTable

## Signals

      "changed"                                        : Run Last

## Description

## Details

### GtkSourceTagTable

    typedef struct _GtkSourceTagTable GtkSourceTagTable;

### gtk_source_tag_table_new ()

    GtkSourceTagTable*  gtk_source_tag_table_new            (void);

Creates a new GtkSourceTagTable. The table contains no tags by default.

Returns : | a new GtkSourceTagTable

### gtk_source_tag_table_add_tags ()

    void                gtk_source_tag_table_add_tags       (GtkSourceTagTable *table,
                                                             const GSList *tags);

Adds a list of tag to the table. The added tags are assigned the highest priority in the table.

If a tag is already present in table or has the same name as an already-added tag, then it is not added to the table.

`table` : | a GtkSourceTagTable.
`tags` : | a GSList containing GtkTextTag objects.

### gtk_source_tag_table_remove_source_tags ()

    void                gtk_source_tag_table_remove_source_tags
                                                            (GtkSourceTagTable *table);

Removes all the source tags from the table. This will remove the table's reference to the tags, so be careful - tags will end up destroyed if you don't have a reference to them.

`table` : | a GtkSourceTagTable.

## Signal Details

### The "changed" signal

    void                user_function                      (GtkSourceTagTable *sourcetagtable,
                                                            gpointer           user_data)           : Run Last

`sourcetagtable` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.